%define anolis_release 3
%define debug_package %{nil}

Name:	        helib	
Version:	2.2.1
Release:    	%{anolis_release}%{?dist}
Summary:	HElib is an open-source software library that implements homomorphic encryption.

License:	Apache License v2.0
URL:		https://github.com/homenc/HElib
Source0:	https://github.com/homenc/HElib/archive/refs/tags/v%{version}.tar.gz

Patch1001:	1001-fix-the-build-erro-to-output-the-share-object.patch

BuildRequires:	gcc
BuildRequires:	cmake
BuildRequires:	make
BuildRequires:  hexl-devel >= 1.2.1
BuildRequires:  ntl-devel >= 11.4.3
BuildRequires:  gmp-devel >= 6.2.1

Requires:       ntl >= 11.5.1
Requires:	gmp >= 6.2.1

ExclusiveArch:  x86_64
Conflicts:	helib-devel < 2.2.1-3

%description
HElib Package

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n HElib-%{version} -p1

%build
%cmake -DUSE_INTEL_HEXL=ON -DBUILD_SHARED=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%{_libdir}/libhelib.so.*

%files devel
%{_includedir}/helib
%{_libdir}/libhelib.so
%{_libdir}/cmake/helib

%files doc
%doc README.md

%changelog
* Thu Nov 24 2022 Funda Wang <fundawang@yeah.net> - 2.2.1-3
- Move lib into main package
- Use upstream tarball

* Thu Nov 17 2022 happy_orange <songnannan@linux.alibaba.com> - 2.2.1-2
- enable HEXL_SHARED_LIB and change the libdir to lib64

* Fri Oct 28 2022 xhuan28 <xiaojun.huang@intel.com> - 2.2.1-1
- Init package
